package com.ypsx.yppos.http.data.bean

data class OrderProductDTO(
    var id:String,
    //是否是删除项
    var deleted: Boolean = false,
    //商品名称
    var name: String,
    //成交价
    var amount: Double = 0.0,
    var barCode: String,
    var pluLevel: String? = null,
    var price: Double,
    var quantity:Double,
    var priceType: String,
    var productId: String,
    var productNumber: String,
    var settlementPrice: Double = 0.0,
    var tailAmount: Int = 0,
    var spec: String,
    var style: String? = null,
    var unit: String,
//商家商品Id
    var merchantItemId: String?=null,
    //称重码
    var weightCode: String? = null,
    var discountTotal: Double = 0.00,
    //是否虚拟商品
    var isVirtual: Boolean = false,
    var conversionRatio: String? = null,
    var activityPrice: Double = 0.0,
    var payApportionAmount: Double = 0.0,
    var productAmount: Double = 0.0,
    var memberPrice: Double = 0.0,
    var paymentProductId:String,
    var paymentProductQuantity:Double,
    var paymentProductCode:String,
    var paymentProductName:String,
    var activitys:List<OrderActivityResponse>?= null,

)
